Bug 207290 - lockup after upgrading to kernel 2.6.17-1.2187_FC5
lockup after upgrading to kernel 2.6.17-1.2187_FC5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 10:58 EDT by ctm
Modified: 2015-01-04 17:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 17:44:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ctm 2006-09-20 10:58:32 EDT
Description of problem:
kernel locked up after upgrading to 2187, had to power cycle to get machine back..

Version-Release number of selected component (if applicable):
Kernel-2.6.17-1.2187_FC5


How reproducible:
I haven't dared rebooting 2187.  The machine in question is available 24x7 although it's not used for 
production.  As such, I manually do a yum update regularly and bring up new kernels when they're 
available, but this machine had been rock solid, so when it locked up within minutes of the new kernel, 
I booted 2174 after power cycling and it's been up for three days since.

Steps to Reproduce:
1. did a yum update and got new kernel
2. rebooted
3. fs hadn't been fscked in 6 months, so while it fscked, I ate breakfast
  
Actual results:
Found that the X greeter had come up, but sometime afterward the machine had locked up tight.  
Couldn't get its attention via keyboard or ethernet.  Gave up and power cycled it, then booted last 
known good kernel (2174).

Expected results:
Expected to come back to functioning maching.

Additional info:
<https://www.redhat.com/archives/fedora-test-list/2006-September/msg00508.html> appears to be 
discussing the same behavior that I saw.
Comment 1 Bob Halley 2006-09-20 23:55:33 EDT
Just wanted to note that I'm seeing the same thing.  My box is an AMD64 dual
core (ASUS mobo).  2187 booted ok, and I was able to log in, but without fail if
I bring up a terminal and do a "cvs update" in my copy of the GNU emacs source
directory, it locks up hard.

If you need more info, I'm happy to help out!

Regards,

/Bob
Comment 2 Bob Halley 2006-09-20 23:59:15 EDT
Sorry for the second comment, but I should have added that if I revert to an
earlier kernel (2157 is the one I've got), all is happy again.
Comment 3 Ben Webb 2006-09-28 21:07:54 EDT
Similar problem here; upgrading to 2187 results in a very unstable system. All
was fine before with 2174, and in fact reverting to 2174 makes the problem go away.

Under 2187, the system boots OK, and X starts up. However, the system locks up
if I open up a PDF in acroread and try to print it. No messages in the logs;
it's not pingable. Only a power cycle fixes the problem.

The system is a dual Xeon (Dell Precision 450).
Comment 4 Dave Jones 2006-10-16 18:00:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Bob Halley 2006-10-17 02:15:23 EDT
With 2.6.18-1.2200.fc5, the sequence that reliably caused the 2187 kernel to die
no longer causes failure.

Thanks,

/Bob


Note You need to log in before you can comment on or make changes to this bug.